<template>
  <b-modal
    id="add-user-modal"
    v-model="openModal"
    size="md"
    title="Supprimer un jeu de donnée"
  >
    <div>
      <b-overlay
        id="overlay-background"
        :show="loading"
        :variant="'white'"
        :opacity="0.7"
        :blur="'2px'"
        rounded="sm"
      >
        <p v-if="dataset">Le jeu de données <strong>{{ dataset.display_name || dataset['Nom'] }}</strong> sera définitivement supprimé.</p>
        <p>Etes-vous sûr de vouloir continuer?</p>
      </b-overlay>
    </div>
    <template #modal-footer>
      <div class="w-100">
        <b-button
          variant="outline-secondary"
          class="float-left"
          @click="hide"
        >
          Annuler
        </b-button>
        <b-button
          variant="primary"
          class="float-right"
          @click="deleteDataset"
        >
          Confirmer
        </b-button>
      </div>
    </template>
  </b-modal>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'DeleteDataset',

  props: {
    open: {
      type: Boolean,
      default: false
    },
    dataset: {
      type: Object,
      default: () => { return {} }
    }
  },

  data() {
    return {
      openModal: false,
      loading: false
    }
  },

  watch: {
    open: function(newValue) {
      this.resetModal();
      this.openModal = newValue;
    }
  },

  methods: {
    ...mapActions('datasets', [
      'DELETE_DATASET'
    ]),

    resetModal() {
      this.openModal = false;
      this.loading = false;

    },
    deleteDataset() {
      this.loading = true;
      this.DELETE_DATASET(this.dataset)
      .then(() => {
        this.loading = false;
        this.$emit('update');
        this.$emit('hide');
      }).catch(() => {
        this.loading = false;
        this.$emit('hide');
      });
    },
    hide() {
      this.$emit('hide');
    }
  }
}
</script>

<style lang="less" scoped>

h2 {
  color: @blue;
  margin-top: 0.8em;
  margin-left: 0.5em;
}

h4 {
  color: @blue;
  margin-top: 0.8em;
}

</style>
